#!/bin/bash
#
# This script sets up environment for development
# $Id: devenv.bash 696 2020-02-11 18:59:06Z toni $
#
pp="$(realpath "$(dirname "$0")"/../src)"

echo "#"
echo "# PYTHONPATH=\"$pp\""
echo "#"
echo "# alias: rel -> src/relevation/__main__.py"
echo "# alias: gui -> src/relevation/gui.py"
echo "#"

env PYTHONPATH="$pp" bash --rcfile <(cat <<EOF
[[ -f /etc/bash.bashrc ]] && source /etc/bash.bashrc
[[ -f ~/.bashrc ]] && source ~/.bashrc
PS1="[RLV]\\u@\\h:\\w\\$ "
alias rel='python -m relevation'
alias gui='python -m relevation.gui'
EOF
)

